#include <string>
void bnx(TH2 *h, Double_t y1, Double_t y2){

  Int_t iy1 = h->GetYaxis()->FindBin(y1);
  Int_t iy2 = h->GetYaxis()->FindBin(y2);
//  cout<<iy1<<","<<iy2<<endl;

  string name = h->GetName();
  name = name + "_bnx";
  h->ProjectionX(name.c_str(),iy1,iy2)->Draw();
}
